Delete endpoint
Delete an endpoint by ID.
DELETE
/applications/{appId}/endpoints/{id}
Delete an endpoint by ID.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
appId
string
required
path
Application ID
id
string
required
path
Resource ID
Responses
200
Endpoint deleted
application/jsondeleted
boolean
REQUIRED
401
Unauthorized
404
Endpoint not found
curl -X DELETE 'https://hookstream.io/v1/applications/string/endpoints/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/string/endpoints/string', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://hookstream.io/v1/applications/string/endpoints/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("DELETE", "https://hookstream.io/v1/applications/string/endpoints/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "deleted": true}
API Playground
Try this endpoint
DELETE
/applications/{appId}/endpoints/{id}